QGIS Application - Bug report #20226
vertex edit ignore topological editing when move a polygon boundary segment
2018-10-26 02:26 PM - Antonio Viscomi

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.4.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 28047
Description

Hi all,

new vertex editor ignore topological editing when move a polygon boundary segment.

Topological editing works well on single vertex
but ignore snap when try to move a segment in polygon boundary

| attached data, project an screencast

Regards

Antonio

Related issues:
Duplicates QGIS Application - Bug report # 18192: vertex editor doesn't honou... Closed 2018-02-23

History

#1 - 2018-10-27 05:59 PM - Giovanni Manghi

- Affected QGIS version changed from 3.3(master) to 3.4.0

- Subject changed from vertex edit ignore topological editing when move a polygon boundary segment (Master 25c94d48b5) to vertex edit ignore
topological editing when move a polygon boundary segment

Unfortunately confirmed on 3.4 too.

#2 - 2018-11-06 02:58 PM - Martin Dobias
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in https://github.com/qgis/QGIS/pull/8413 for 3.6 and backported to 3.4 in https:/github.com/qgis/QGIS/pull/8420

#3 - 2018-11-21 01:52 PM - Martin Dobias

- Duplicates Bug report #18192: vertex editor doesn't honour topological editing when moving a segment added

Files

Topology.7z 560 KB 2018-10-26 Antonio Viscomi
